Index: /anuga_work/production/MOST_example/project.py
===================================================================
--- /anuga_work/production/MOST_example/project.py	(revision 3668)
+++ /anuga_work/production/MOST_example/project.py	(revision 3669)
@@ -48,5 +48,8 @@
     home = getenv('INUNDATIONHOME', sep+'d'+sep+'cit'+sep+'2'+sep+'cit'+sep+'inundation'+sep+'data')     
     user = getenv('LOGNAME')
-    
+
+# INUNDATIONHOME is the inundation directory, not the data directory.
+home += sep +'data'
+
 #Derive subdirectories and filenames
 time = strftime('%Y%m%d_%H%M%S',localtime()) #gets time for new dir
Index: /anuga_work/production/broome_2006/project.py
===================================================================
--- /anuga_work/production/broome_2006/project.py	(revision 3668)
+++ /anuga_work/production/broome_2006/project.py	(revision 3669)
@@ -42,4 +42,7 @@
     home = getenv('INUNDATIONHOME', sep+'d'+sep+'cit'+sep+'2'+sep+'cit'+sep+'inundation'+sep+'data')     
     user = getenv('LOGNAME')
+
+# INUNDATIONHOME is the inundation directory, not the data directory.
+home += sep +'data'
 
 #Derive subdirectories and filenames
Index: /anuga_work/production/hobart_2006/project.py
===================================================================
--- /anuga_work/production/hobart_2006/project.py	(revision 3668)
+++ /anuga_work/production/hobart_2006/project.py	(revision 3669)
@@ -65,10 +65,10 @@
 #time = strftime('%Y%m%d_%H%M%S',localtime()) #gets time for new dir
 local_time = strftime('%Y%m%d_%H%M%S',gmtime()) #gets time for new dir
-
+print 'home', home
 meshdir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'meshes'+sep
 datadir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'topographies'+sep
 gaugedir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'gauges'+sep
 polygondir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'polygons'+sep
-boundarydir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'boundaries'+sep
+boundarydir = home+sep+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'boundaries'+sep
 #output dir without time
 outputdir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'outputs'+sep
Index: /anuga_work/production/hobart_2006/run_hobart.py
===================================================================
--- /anuga_work/production/hobart_2006/run_hobart.py	(revision 3668)
+++ /anuga_work/production/hobart_2006/run_hobart.py	(revision 3669)
@@ -69,13 +69,13 @@
 
 # creates DEM from asc data - 12.5m
-convert_dem_from_ascii2netcdf(onshore_dem_name, use_cache=True, verbose=True)
+#convert_dem_from_ascii2netcdf(onshore_dem_name, use_cache=True, verbose=True)
 
 #creates pts file for onshore DEM - 12.5
-dem2pts(onshore_dem_name,
-        easting_min=project.eastingmin,
-        easting_max=project.eastingmax,
-        northing_min=project.northingmin,
-        northing_max= project.northingmax,
-        use_cache=True, verbose=True)
+#dem2pts(onshore_dem_name,
+#        easting_min=project.eastingmin,
+#        easting_max=project.eastingmax,
+#        northing_min=project.northingmin,
+#        northing_max= project.northingmax,
+#        use_cache=True, verbose=True)
 
 # create DEM from asc data - 25m data
@@ -83,9 +83,14 @@
 
 #creates pts file for onshore DEM - 25
-dem2pts(onshore_dem_name_25, use_cache=True, verbose=True)
-
-combine_rectangular_points_files(project.onshore_dem_name + '.pts',
-                                 project.onshore_dem_name_25 + '.pts',
-                                 project.all_onshore_dem_name + '.pts')
+dem2pts(onshore_dem_name_25,
+        easting_min=project.eastingmin25,
+        easting_max=project.eastingmax25,
+        northing_min=project.northingmin25,
+        northing_max= project.northingmax25,
+        use_cache=True, verbose=True)
+
+#combine_rectangular_points_files(project.onshore_dem_name + '.pts',
+#                                 project.onshore_dem_name_25 + '.pts',
+#                                 project.all_onshore_dem_name + '.pts')
 
 print 'adding data sets'
@@ -110,7 +115,7 @@
     Geospatial_data(file_name = project.offshore_dem_name_aho15 + '.xya')+\
     Geospatial_data(file_name = project.offshore_dem_name_aho16 + '.xya')+\
-    Geospatial_data(file_name = project.all_onshore_dem_name + '.pts')
+    Geospatial_data(file_name = project.onshore_dem_name_25 + '.pts')
 G.export_points_file(project.combined_dem_name + '.pts')
-
+#Geospatial_data(file_name = project.all_onshore_dem_name + '.pts')
 #----------------------------------------------------------------------------
 # Create the triangular mesh based on overall clipping polygon with a tagged
@@ -134,7 +139,7 @@
 _ = cache(create_mesh_from_regions,
           project.polyAll,
-          {'boundary_tags': {'bottom': [0], 'right': [1],
-                             'top': [2], 'left': [3]},
-           'maximum_triangle_area': 100000,
+          {'boundary_tags': {'bottom': [0], 'bright': [1],
+                             'topr': [2], 'top': [3], 'left': [4]},
+           'maximum_triangle_area': 250000,
            'filename': meshname},           
            #'interior_regions': interior_regions},
@@ -230,6 +235,6 @@
 
 # for testing
-domain.set_boundary( {'top': Bd, 'left': Bd,
-                      'bottom': Bd, 'right': Bw} )
+domain.set_boundary( {'topr': Bd, 'left': Bd, 'top': Bd,
+                      'bottom': Bd, 'bright': Bw} )
 
 #-------------------------------------------------------------------------------                                 
Index: /anuga_work/production/karratha_2006/project.py
===================================================================
--- /anuga_work/production/karratha_2006/project.py	(revision 3668)
+++ /anuga_work/production/karratha_2006/project.py	(revision 3669)
@@ -32,4 +32,6 @@
     user = getenv('LOGNAME')
 
+# INUNDATIONHOME is the inundation directory, not the data directory.
+home += sep +'data'
 
 #Derive subdirectories and filenames
Index: /anuga_work/production/onslow_2006/project.py
===================================================================
--- /anuga_work/production/onslow_2006/project.py	(revision 3668)
+++ /anuga_work/production/onslow_2006/project.py	(revision 3669)
@@ -49,4 +49,7 @@
     user = getenv('LOGNAME')
     print 'USER:', user
+
+# INUNDATIONHOME is the inundation directory, not the data directory.
+home += sep +'data'
 
 #Derive subdirectories and filenames
@@ -134,5 +137,6 @@
 n_max_area = 7610000
 
-# region to export to make elevation map: JS 22/9/06
+# region to export to make elevation map: JS 22/9/06 - NOTE, this won't
+# work as region needs to be inside bounding box (polyAll)!!
 
 e_min_area = 240000
@@ -140,5 +144,8 @@
 n_min_area = 7580000
 n_max_area = 7690000
-
+export_region = [[e_min_area, n_min_area],
+                 [e_min_area, n_max_area],
+                 [e_max_area, n_max_area],
+                 [e_max_area, n_min_area]]
 #Georeferencing
 from anuga.coordinate_transforms.redfearn import degminsec2decimal_degrees
@@ -157,4 +164,9 @@
 polyAll = [d0, d1, d2, d3, d4, d5, d6]
 
+polygons = [polyAll, export_region]
+figname = 'checking.png'
+from anuga.utilities.polygon import plot_polygons
+plot_polygons(polygons, figname, verbose = False)
+print figname
 #Interior region - Onslow town
 
Index: /anuga_work/production/pt_hedland_2006/project.py
===================================================================
--- /anuga_work/production/pt_hedland_2006/project.py	(revision 3668)
+++ /anuga_work/production/pt_hedland_2006/project.py	(revision 3669)
@@ -49,4 +49,7 @@
     home = getenv('INUNDATIONHOME', sep+'d'+sep+'cit'+sep+'2'+sep+'cit'+sep+'inundation'+sep+'data')     
     user = getenv('LOGNAME')
+
+# INUNDATIONHOME is the inundation directory, not the data directory.
+home += sep +'data'
 
 #Derive subdirectories and filenames
Index: /anuga_work/production/sydney_2006/project.py
===================================================================
--- /anuga_work/production/sydney_2006/project.py	(revision 3668)
+++ /anuga_work/production/sydney_2006/project.py	(revision 3669)
@@ -39,5 +39,8 @@
 else:    
     home = expanduser('~')
-    
+
+# INUNDATIONHOME is the inundation directory, not the data directory.
+home += sep +'data'
+
 #Derive subdirectories and filenames
 meshdir = home+sep+state+scenario_dir_name+sep+'anuga'+sep+'meshes'+sep