Index: /anuga_work/production/hobart_2006/project.py
===================================================================
--- /anuga_work/production/hobart_2006/project.py	(revision 3678)
+++ /anuga_work/production/hobart_2006/project.py	(revision 3679)
@@ -57,5 +57,5 @@
 coast_name = 'coastline_points'
 
-boundary_basename = 'SU-AU_clip'
+boundary_basename = 'puysegur'
 
 #swollen/ all data output
@@ -126,8 +126,8 @@
 
 # bounding box
-south = degminsec2decimal_degrees(-43,45,0)
-north = degminsec2decimal_degrees(-42,30,0)
+south = degminsec2decimal_degrees(-44,45,0)
+north = degminsec2decimal_degrees(-42,0,0)
 west = degminsec2decimal_degrees(146,45,0)
-east = degminsec2decimal_degrees(148,0,0)#degminsec2decimal_degrees(148,15,0)
+east = degminsec2decimal_degrees(148,25,0) #degminsec2decimal_degrees(148,15,0)
 
 #Main Domain of Hobart: first run JS 18/9/06
@@ -136,13 +136,19 @@
 d2 = [north, east]
 d3 = [north, west]
-polyAll, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+polyAll2, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+print "polyAll2", polyAll2
 refzone = zone
 
 # Second run - bottom bright, topr, top, left
-polyAll = [[520000, 5170000],[580000, 5170000],[580000, 5200000],[590000,5240000],[520000,5260000]]
+#polyAll = [[520000, 5170000],[580000, 5170000],[580000, 5200000],[590000,5240000],[520000,5260000]]
 
 # Third run - afternoon Wed 27 Sep; surrounds -100m and 20mish elevation
+#polyAll = read_polygon(polygondir+'new_extent.csv')
+#plot_polygons([polyAll],'boundingpoly',verbose=False)
+
+# Mark run - morning Fri 29 Sep; surrounds -100m and 20mish elevation
 polyAll = read_polygon(polygondir+'new_extent.csv')
-plot_polygons([polyAll],'boundingpoly',verbose=False)
+plot_polygons([polyAll, polyAll2],'boundingpoly',verbose=False)
+
 
 ###################################################################
@@ -171,26 +177,34 @@
 ###############################
 
-#Interior region - Hobart city area + Glenorchy, Kingston
-i0 = [517000, 5267000]
-i1 = [517000, 5255000]
-i2 = [520000, 5250000]
-i3 = [522000, 5239000]
-i4 = [524000, 5238000]
-i5 = [526000, 5236000]
-i6 = [530000, 5244000]
-i7 = [530000, 5250000]
-i8 = [534000, 5254000]
-i9 = [520000, 5270000]
-
-poly_hobart = [i0, i1, i2, i3, i4, i5, i6, i7, i8, i9]
-
-# Tasman Peninsula
-l0 = [550000, 5247000]
-l1 = [550000, 5211000]
-l2 = [583000, 5211000]
-l3 = [583000, 5247000]
-
-poly_tasman_peninsula = [l0, l1, l2, l3]
-
-# Bruny Island
-poly_bruny = read_polygon(polygondir+'bruny.csv')
+###Interior region - Hobart city area + Glenorchy, Kingston
+##i0 = [517000, 5267000]
+##i1 = [517000, 5255000]
+##i2 = [520000, 5250000]
+##i3 = [522000, 5239000]
+##i4 = [524000, 5238000]
+##i5 = [526000, 5236000]
+##i6 = [530000, 5244000]
+##i7 = [530000, 5250000]
+##i8 = [534000, 5254000]
+##i9 = [520000, 5270000]
+##
+##poly_hobart = [i0, i1, i2, i3, i4, i5, i6, i7, i8, i9]
+##
+### Tasman Peninsula
+##l0 = [550000, 5247000]
+##l1 = [550000, 5211000]
+##l2 = [583000, 5211000]
+##l3 = [583000, 5247000]
+##
+##poly_tasman_peninsula = [l0, l1, l2, l3]
+##
+### Bruny Island
+##poly_bruny = read_polygon(polygondir+'bruny.csv')
+
+
+# Hobart digitized polygons
+poly_hobart1 = read_polygon(polygondir+'Hob_poly1.csv')
+poly_hobart2 = read_polygon(polygondir+'Hob_poly2.csv')
+poly_hobart3 = read_polygon(polygondir+'Hob_poly3.csv')
+
+plot_polygons([polyAll, poly_hobart1,poly_hobart2,poly_hobart3],'boundingpoly2',verbose=False)
Index: /anuga_work/production/hobart_2006/run_hobart.py
===================================================================
--- /anuga_work/production/hobart_2006/run_hobart.py	(revision 3678)
+++ /anuga_work/production/hobart_2006/run_hobart.py	(revision 3679)
@@ -89,7 +89,7 @@
 hobart_res = 35000
 peninsula_res = 35000
-interior_regions = [[project.poly_hobart, hobart_res],
-                    [project.poly_tasman_peninsula, peninsula_res],
-                    [project.poly_bruny, island_res]]
+interior_regions = [[project.poly_hobart1, hobart_res],
+                    [project.poly_hobart2, hobart_res],
+                    [project.poly_hobart3, hobart_res]]
 
 print 'number of interior regions', len(interior_regions)
@@ -98,16 +98,14 @@
 _ = cache(create_mesh_from_regions,
           project.polyAll,
-#          {'boundary_tags': {'bottom': [0], 'bright': [1],
-#                             'topr': [2], 'top': [3], 'left': [4]},
            {'boundary_tags': {'e0': [0], 'e1': [1], 'e2': [2],
-				'e3': [3], 'e4':[4], 'e5': [5],
-				'e6': [6], 'e7': [7], 'e8': [8],
-				'e9': [9], 'e10': [10], 'e11': [11],
-				'e12': [12], 'e13': [13], 'e14': [14],
-				'e15': [15], 'e16': [16], 'e17': [17]},
+                              'e3': [3], 'e4':[4], 'e5': [5],
+			      'e6': [6], 'e7': [7], 'e8': [8],
+			      'e9': [9], 'e10': [10], 'e11': [11],
+			      'e12': [12], 'e13': [13], 'e14': [14],
+			      'e15': [15]},
            'maximum_triangle_area': 250000,
-           'filename': meshname},           
-           #'interior_regions': interior_regions},
-          verbose = True, evaluate=True)
+           'filename': meshname,           
+           'interior_regions': interior_regions},
+          verbose = True, evaluate=False)
 
 
@@ -115,5 +113,5 @@
 # Setup computational domain
 #-------------------------------------------------------------------------------                                 
-domain = Domain(meshname, use_cache = False, verbose = True)
+domain = Domain(meshname, use_cache = True, verbose = True)
 
 print 'Number of triangles = ', len(domain)
@@ -150,5 +148,5 @@
 print 'start ferret2sww'
 from anuga.shallow_water.data_manager import ferret2sww
-'''
+
 south = project.south 
 north = project.north
@@ -160,12 +158,5 @@
       (source_dir + project.boundary_basename,
        source_dir + project.boundary_basename), 
-#      (project.MOST_dir + project.boundary_basename,
-#       source_dir + project.boundary_basename), 
       {'verbose': True,
-# note didn't work with the below
-#       'minlat': south - 1,
-#       'maxlat': north + 1,
-#       'minlon': west - 1,
-#       'maxlon': east + 1,
        'minlat': south,
        'maxlat': north,
@@ -182,9 +173,9 @@
        dependencies = source_dir + project.boundary_basename + '.sww')
 
-'''
+
 print 'Available boundary tags', domain.get_boundary_tags()
 
-#Bf = File_boundary(source_dir + project.boundary_basename + '.sww', 
-#                    domain, verbose = True)
+Bf = File_boundary(source_dir + project.boundary_basename + '.sww', 
+                    domain, verbose = True)
 Br = Reflective_boundary(domain)
 Bd = Dirichlet_boundary([tide,0,0])
@@ -204,6 +195,6 @@
 domain.set_boundary( {'e0': Bd, 'e1': Bd, 'e2': Bd, 'e3': Bd, 'e4': Bd,
 			'e5': Bd, 'e6': Bd, 'e7': Bd, 'e8': Bd, 'e9': Bd,
-			'e10': Bd, 'e11': Bd, 'e12': Bd, 'e13': Bd, 'e14': Bd,
-			'e15': Bd, 'e16': Bw, 'e17': Bd} )
+			'e10': Bd, 'e11': Bd, 'e12': Bd, 'e13': Bd, 'e14': Bf,
+			'e15': Bd} )
 
 #-------------------------------------------------------------------------------                                 
@@ -213,12 +204,17 @@
 t0 = time.time()
 
-for t in domain.evolve(yieldstep = 60, finaltime = 12000): 
+for t in domain.evolve(yieldstep = 240, finaltime = 6800): 
     domain.write_time()
     domain.write_boundary_statistics(tags = 'bottom')     
 
-#for t in domain.evolve(yieldstep = 120, finaltime = 12600
-#                       ,skip_initial_step = True): 
-#    domain.write_time()
-#    domain.write_boundary_statistics(tags = 'bottom')     
+for t in domain.evolve(yieldstep = 30, finaltime = 9000
+                       ,skip_initial_step = True): 
+    domain.write_time()
+    domain.write_boundary_statistics(tags = 'bottom')     
+
+for t in domain.evolve(yieldstep = 240, finaltime = 15000
+                       ,skip_initial_step = True): 
+    domain.write_time()
+    domain.write_boundary_statistics(tags = 'bottom') 
     
 print 'That took %.2f seconds' %(time.time()-t0)