Index: anuga_work/production/hobart_2006/run_hobart.py
===================================================================
--- anuga_work/production/hobart_2006/run_hobart.py	(revision 3679)
+++ anuga_work/production/hobart_2006/run_hobart.py	(revision 3683)
@@ -62,4 +62,5 @@
 # filenames
 onshore_offshore_dem_name = project.onshore_offshore_dem_name
+onshore_offshore_dem_name_25 = project.onshore_offshore_dem_name_25
 meshname = project.meshname+'.msh'
 source_dir = project.boundarydir
@@ -67,13 +68,45 @@
 copied_files = False
 
-# create DEM from asc data - 25m data
+# create DEM from 50m asc data
 convert_dem_from_ascii2netcdf(onshore_offshore_dem_name, use_cache=True, verbose=True)
 
-#creates pts file for combined DEM - 25
+# creates pts file for combined 50m DEM
 dem2pts(onshore_offshore_dem_name, use_cache=True, verbose=True)
 
+# 25m data (clipping the around the Hobart area)
+convert_dem_from_ascii2netcdf(onshore_offshore_dem_name_25, use_cache=True, verbose=True)
+# creates pts file for 25m data around Hobart
+dem2pts(onshore_offshore_dem_name_25, project.hobart_dem_name_25,
+        easting_min=project.eastingmin25,
+        easting_max=project.eastingmax25,
+        northing_min=project.northingmin25,
+        northing_max= project.northingmax25,
+        use_cache=True, 
+        verbose=True)
+
+# combining the 50m and Hobart 25m data
+combine_rectangular_points_files(project.hobart_dem_name_25 + '.pts',
+                                 project.onshore_offshore_dem_name + '.pts',
+                                 project.combined_dem_name + '.pts')
+
+# 25m data (clipping the around site 24 on Bruny Island)
+convert_dem_from_ascii2netcdf(onshore_offshore_dem_name_25, use_cache=True, verbose=True)
+# creates pts file for 25m data around site 24 at Bruny Island
+dem2pts(onshore_offshore_dem_name_25, project.bruny_dem_name_25,
+        easting_min=project.eastingmin25_2,
+        easting_max=project.eastingmax25_2,
+        northing_min=project.northingmin25_2,
+        northing_max= project.northingmax25_2,
+        use_cache=True, 
+        verbose=True)
+
+# combining the 50m and Hobart 25m data with Bruny Island 25m data
+combine_rectangular_points_files(project.bruny_dem_name_25 + '.pts',
+                                 project.combined_dem_name + '.pts',
+                                 project.combined_dem_name_2 + '.pts')
+
 # create geospatial data set and export 
-G = Geospatial_data(file_name = project.onshore_offshore_dem_name + '.pts')
-G.export_points_file(project.combined_dem_name + '.pts')
+#G = Geospatial_data(file_name = project.onshore_offshore_dem_name + '.pts')
+#G.export_points_file(project.combined_dem_name + '.pts')
 
 #----------------------------------------------------------------------------
@@ -104,6 +137,6 @@
 			      'e12': [12], 'e13': [13], 'e14': [14],
 			      'e15': [15]},
-           'maximum_triangle_area': 250000,
-           'filename': meshname,           
+           'maximum_triangle_area': 2000000,
+           'filename': meshname,
            'interior_regions': interior_regions},
           verbose = True, evaluate=False)
@@ -123,5 +156,5 @@
 domain.set_quantities_to_be_stored(['stage', 'xmomentum', 'ymomentum'])
 domain.set_minimum_storable_height(0.01)
-domain.set_store_vertices_uniquely(True)  # for writting to sww
+domain.set_store_vertices_uniquely(False)  # for writting to sww
 
 #-------------------------------------------------------------------------------                                 
@@ -136,5 +169,5 @@
 domain.set_quantity('elevation', 
 #                    filename = project.onshore_dem_name + '.pts',
-                    filename = project.combined_dem_name + '.pts',
+                    filename = project.combined_dem_name_2 + '.pts',
 #                    filename = project.offshore_dem_name + '.pts',
                     use_cache = True,
@@ -195,6 +228,6 @@
 domain.set_boundary( {'e0': Bd, 'e1': Bd, 'e2': Bd, 'e3': Bd, 'e4': Bd,
 			'e5': Bd, 'e6': Bd, 'e7': Bd, 'e8': Bd, 'e9': Bd,
-			'e10': Bd, 'e11': Bd, 'e12': Bd, 'e13': Bd, 'e14': Bf,
-			'e15': Bd} )
+			'e10': Bd, 'e11': Bd, 'e12': Bf, 'e13': Bf, 'e14': Bf,
+			'e15': Bf} )
 
 #-------------------------------------------------------------------------------                                 