Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 3703)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 3704)
@@ -1012,5 +1012,6 @@
         """
         quantity = Conserved_quantity(self.mesh4)
-
+        quantity.domain.beta_w = 0.9
+        
         #Test centroids
         quantity.set_values([2.,4.,8.,2.], location = 'centroids')
@@ -1027,4 +1028,5 @@
 
         # limited value for beta_w = 0.9
+        
         assert allclose(quantity.vertex_values[1,:], [2.2, 4.9, 4.9])
         # limited values for beta_w = 0.5
Index: /anuga_core/source/anuga/config.py
===================================================================
--- /anuga_core/source/anuga/config.py	(revision 3703)
+++ /anuga_core/source/anuga/config.py	(revision 3704)
@@ -70,20 +70,14 @@
 #
 #Good values are:
-beta_w      = 0.9
-beta_w_dry  = 0.9
-beta_uh     = 0.9
-beta_uh_dry = 0.9
-beta_vh     = 0.9
-beta_vh_dry = 0.9
-beta_h      = 0.2
+
 
 # I think these are better SR but they conflict with the unit tests!
-# beta_w      = 1.0
-# beta_w_dry  = 0.2
-# beta_uh     = 1.0
-# beta_uh_dry = 0.2
-# beta_vh     = 1.0
-# beta_vh_dry = 0.2
-# beta_h      = 0.2
+beta_w      = 1.0
+beta_w_dry  = 0.2
+beta_uh     = 1.0
+beta_uh_dry = 0.2
+beta_vh     = 1.0
+beta_vh_dry = 0.2
+beta_h      = 0.2
 
 
Index: /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 3703)
+++ /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 3704)
@@ -1517,4 +1517,10 @@
 	#Second order
         domain._order_ = 2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.distribute_to_vertices_and_edges()
 	assert allclose(L[1], [2.2, 4.9, 4.9])
@@ -1554,4 +1560,10 @@
 
         domain._order_ = 2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [0.57777777, 2.37777778, 2.37777778])
@@ -1592,4 +1604,10 @@
 
         domain._order_ = 2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [1.07160494, 6.46058131, 7.28262855])
@@ -1731,4 +1749,10 @@
         #print E
         domain._order_ = 2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
         domain.distribute_to_vertices_and_edges()
@@ -2226,5 +2250,11 @@
         domain.smooth = False
         domain.default_order=2
-
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
+        
         # Boundary conditions
         Br = Reflective_boundary(domain)
@@ -2371,4 +2401,10 @@
         domain.visualise = False
         domain.default_order=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9        
         #domain.minimum_allowed_height = 0.0 #Makes it like the 'oldstyle' balance
 
@@ -2429,4 +2465,10 @@
         domain.visualise = False
         domain.default_order=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9        
         domain.maximum_allowed_speed = 0.0 #Makes it like the 'oldstyle'
 
@@ -2475,4 +2517,10 @@
         domain.visualise = False
         domain.default_order=domain._order_=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9        
 
         # Boundary conditions
@@ -2720,4 +2768,10 @@
         domain.smooth = False
         domain.default_order=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
 
         #Bed-slope and friction at vertices (and interpolated elsewhere)
@@ -2806,4 +2860,10 @@
         domain.smooth = False
         domain.default_order=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
 
@@ -2898,4 +2958,10 @@
         domain.smooth = False
         domain.default_order=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
 
@@ -2986,4 +3052,10 @@
         domain.smooth = False
         domain.default_order=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
 
@@ -3102,4 +3174,10 @@
         domain.smooth = False
         domain.default_order=2
+        domain.beta_w      = 0.9
+        domain.beta_w_dry  = 0.9
+        domain.beta_uh     = 0.9
+        domain.beta_uh_dry = 0.9
+        domain.beta_vh     = 0.9
+        domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
 