Index: /anuga_validation/okushiri_2005/run_okushiri.py
===================================================================
--- /anuga_validation/okushiri_2005/run_okushiri.py	(revision 3715)
+++ /anuga_validation/okushiri_2005/run_okushiri.py	(revision 3716)
@@ -39,7 +39,16 @@
     domain = Domain(points, vertices, boundary)
 
-domain.set_name('lwru2')
+domain.set_name('okushiri_old_limiters')
 domain.set_default_order(2)
 domain.set_minimum_storable_height(0.001)
+
+# Set old (pre Sep 2006) defaults for limiters
+domain.beta_w      = 0.9
+domain.beta_w_dry  = 0.9
+domain.beta_uh     = 0.9
+domain.beta_uh_dry = 0.9
+domain.beta_vh     = 0.9
+domain.beta_vh_dry = 0.9
+
 domain.check_integrity()
 print domain.statistics()
Index: /anuga_work/production/karratha_2006/project.py
===================================================================
--- /anuga_work/production/karratha_2006/project.py	(revision 3715)
+++ /anuga_work/production/karratha_2006/project.py	(revision 3716)
@@ -74,9 +74,11 @@
 
 
-bounding_polygon, zone = convert_points_from_latlon_to_utm([p0, p1, p2, p3, p4, p5, p6, p7, p8])
+bounding_polygon, zone =\
+                  convert_points_from_latlon_to_utm([p0, p1, p2, p3, p4,
+                                                     p5, p6, p7, p8])
 refzone = zone
 
 
-#Interior regions -  NOT CONVERTED YET TO UTM
+#Interior regions
 karratha_south = degminsec2decimal_degrees(-20,44,0)
 karratha_north = degminsec2decimal_degrees(-20,42,0)
@@ -89,5 +91,6 @@
 k3 = [karratha_north, karratha_west]    
 
-karratha_polygon = [k0, k1, k2, k3]
+karratha_polygon, zone = convert_points_from_latlon_to_utm([k0, k1, k2, k3])
+assert zone == refzone
 
 
@@ -103,5 +106,6 @@
 d3 = [dampier_north, dampier_west]    
 
-dampier_polygon = [d0, d1, d2, d3]
+dampier_polygon, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+assert zone == refzone
 
 
@@ -117,5 +121,6 @@
 d3 = [refinery_north, refinery_west]    
 
-refinery_polygon = [d0, d1, d2, d3]
+refinery_polygon, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+assert zone == refzone
 
 
@@ -133,5 +138,6 @@
 d3 = [point_north, point_west]    
 
-point_polygon = [d0, d1, d2, d3]
+point_polygon, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+assert zone == refzone
 
 
@@ -146,5 +152,10 @@
                 degminsec2decimal_degrees(116,46,17)]
 
-neil1_polygon = [neil1_point1, neil1_point2, neil1_point3, neil1_point4]
+neil1_polygon, zone = convert_points_from_latlon_to_utm([neil1_point1,
+                                                         neil1_point2,
+                                                         neil1_point3,
+                                                         neil1_point4])
+assert zone == refzone
+
 
 
@@ -159,5 +170,10 @@
                 degminsec2decimal_degrees(116,43,9)]
 
-neil2_polygon = [neil2_point1, neil2_point2, neil2_point3, neil2_point4]
+neil2_polygon, zone = convert_points_from_latlon_to_utm([neil2_point1,
+                                                         neil2_point2,
+                                                         neil2_point3,
+                                                         neil2_point4])
+assert zone == refzone
+
 
 
@@ -174,5 +190,8 @@
                 degminsec2decimal_degrees(116,46,17)]
 
-wb_polygon = [wb_point1, wb_point2, wb_point3, wb_point4]
+wb_polygon, zone = convert_points_from_latlon_to_utm([wb_point1, wb_point2,
+                                                      wb_point3, wb_point4])
+assert zone == refzone
+
 
 
@@ -189,6 +208,10 @@
                 degminsec2decimal_degrees(116,42,50)]
 
-lwb_polygon = [lwb_point1, lwb_point2, lwb_point3, lwb_point4]
-
-
-
+lwb_polygon, zone = convert_points_from_latlon_to_utm([lwb_point1, lwb_point2,
+                                                       lwb_point3, lwb_point4])
+                                                      
+assert zone == refzone
+
+
+
+
Index: /anuga_work/production/karratha_2006/run_karratha.py
===================================================================
--- /anuga_work/production/karratha_2006/run_karratha.py	(revision 3715)
+++ /anuga_work/production/karratha_2006/run_karratha.py	(revision 3716)
@@ -67,21 +67,27 @@
 
 
+interior_regions = [#[project.karratha_polygon, 25000],
+                    #[project.dampier_polygon, 2000],
+                    #[project.refinery_polygon, 2000],
+                    #[project.point_polygon, 2000]]
+                    [project.neil1_polygon, 4000],
+                    [project.neil2_polygon, 64000]]
+
+
+
 print 'start create mesh from regions'
-from caching import cache
 meshname = project.meshname + '.msh'
-_ = cache(create_mesh_from_regions,
-          project.bounding_polygon,
-          {'boundary_tags': {'back': [7, 8], 'side': [0, 6],
-                             'ocean': [1, 2, 3, 4, 5]},
-           'maximum_triangle_area': 200000,
-           'filename': meshname},
-          verbose = True,
-          evaluate = False)
-
+create_mesh_from_regions(project.bounding_polygon,
+                         boundary_tags={'back': [7, 8], 'side': [0, 6],
+                                        'ocean': [1, 2, 3, 4, 5]},
+                         maximum_triangle_area=200000,
+                         filename=meshname,
+                         use_cache=True,
+                         verbose=True)
 
 #-------------------------------------------------------------------------
 # Setup computational domain
 #-------------------------------------------------------------------------
-domain = Domain(meshname, use_cache = True, verbose = True)
+domain = Domain(meshname, use_cache=True, verbose=True)
 print domain.statistics()
 domain.set_name(project.basename)