Index: anuga_work/production/hobart_2006/report/latexoutput.tex
===================================================================
--- anuga_work/production/hobart_2006/report/latexoutput.tex	(revision 3724)
+++ anuga_work/production/hobart_2006/report/latexoutput.tex	(revision 3724)
@@ -0,0 +1,160 @@
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_10stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_10speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at St_10 location (elevation -0.92m)} 
+ \label{fig:gaugeSt_10} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_12stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_12speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at St_12 location (elevation -3.14m)} 
+ \label{fig:gaugeSt_12} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_13stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_13speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at St_13 location (elevation 0.77m)} 
+ \label{fig:gaugeSt_13} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_24stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_24speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at St_24 location (elevation -3.97m)} 
+ \label{fig:gaugeSt_24} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeKingstonstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeKingstonspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Kingston location (elevation -2.90m)} 
+ \label{fig:gaugeKingston} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHobartWarfstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHobartWarfspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at HobartWarf location (elevation -13.05m)} 
+ \label{fig:gaugeHobartWarf} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeOilstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeOilspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Oil location (elevation -2.59m)} 
+ \label{fig:gaugeOil} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBelleriveBeachstage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBelleriveBeachspeed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at BelleriveBeach location (elevation -0.70m)} 
+ \label{fig:gaugeBelleriveBeach} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_1stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_1speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at St_1 location (elevation -2.98m)} 
+ \label{fig:gaugeSt_1} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_2stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeSt_2speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at St_2 location (elevation -1.49m)} 
+ \label{fig:gaugeSt_2} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD1stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD1speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at D1 location (elevation -51.24m)} 
+ \label{fig:gaugeD1} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD2stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD2speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at D2 location (elevation -15.65m)} 
+ \label{fig:gaugeD2} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD3stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD3speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at D3 location (elevation -30.10m)} 
+ \label{fig:gaugeD3} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD4stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD4speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at D4 location (elevation -24.87m)} 
+ \label{fig:gaugeD4} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD5stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD5speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at D5 location (elevation -27.62m)} 
+ \label{fig:gaugeD5} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD6stage.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeD6speed.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at D6 location (elevation -16.14m)} 
+ \label{fig:gaugeD6} 
+ \end{figure} 
+ 