Index: /anuga_work/production/karratha_2006/project.py
===================================================================
--- /anuga_work/production/karratha_2006/project.py	(revision 3743)
+++ /anuga_work/production/karratha_2006/project.py	(revision 3744)
@@ -8,5 +8,5 @@
 from anuga.coordinate_transforms.redfearn import\
      degminsec2decimal_degrees,\
-     convert_points_from_latlon_to_utm
+     convert_from_latlon_to_utm
 
 from time import localtime, strftime
@@ -52,4 +52,5 @@
 outputname = outputtimedir + basename  #Used by post processing
 #boundaryname = outputtimedir + basename  #Used by post processing
+
 
 
@@ -75,7 +76,25 @@
 
 bounding_polygon, zone =\
-                  convert_points_from_latlon_to_utm([p0, p1, p2, p3, p4,
-                                                     p5, p6, p7, p8])
+                  convert_from_latlon_to_utm([p0, p1, p2, p3, p4,
+                                              p5, p6, p7, p8])
 refzone = zone
+
+
+#Interior regions
+
+
+# CIPMA point of interest
+cipma_latitude = -20.588456
+cipma_longitude = 116.771527
+
+
+k0 = [cipma_latitude-0.02, cipma_longitude-0.02]
+k1 = [cipma_latitude-0.02, cipma_longitude+0.02]
+k2 = [cipma_latitude+0.02, cipma_longitude+0.02]
+k3 = [cipma_latitude+0.02, cipma_longitude-0.02]
+
+cipma_polygon, zone = convert_from_latlon_to_utm([k0, k1, k2, k3])
+assert zone == refzone
+
 
 
@@ -91,5 +110,5 @@
 k3 = [karratha_north, karratha_west]    
 
-karratha_polygon, zone = convert_points_from_latlon_to_utm([k0, k1, k2, k3])
+karratha_polygon, zone = convert_from_latlon_to_utm([k0, k1, k2, k3])
 assert zone == refzone
 
@@ -106,5 +125,5 @@
 d3 = [dampier_north, dampier_west]    
 
-dampier_polygon, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+dampier_polygon, zone = convert_from_latlon_to_utm([d0, d1, d2, d3])
 assert zone == refzone
 
@@ -121,5 +140,5 @@
 d3 = [refinery_north, refinery_west]    
 
-refinery_polygon, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+refinery_polygon, zone = convert_from_latlon_to_utm([d0, d1, d2, d3])
 assert zone == refzone
 
@@ -138,5 +157,5 @@
 d3 = [point_north, point_west]    
 
-point_polygon, zone = convert_points_from_latlon_to_utm([d0, d1, d2, d3])
+point_polygon, zone = convert_from_latlon_to_utm([d0, d1, d2, d3])
 assert zone == refzone
 
@@ -152,8 +171,8 @@
                 degminsec2decimal_degrees(116,46,17)]
 
-neil1_polygon, zone = convert_points_from_latlon_to_utm([neil1_point1,
-                                                         neil1_point2,
-                                                         neil1_point3,
-                                                         neil1_point4])
+neil1_polygon, zone = convert_from_latlon_to_utm([neil1_point1,
+                                                  neil1_point2,
+                                                  neil1_point3,
+                                                  neil1_point4])
 assert zone == refzone
 
@@ -170,8 +189,8 @@
                 degminsec2decimal_degrees(116,43,9)]
 
-neil2_polygon, zone = convert_points_from_latlon_to_utm([neil2_point1,
-                                                         neil2_point2,
-                                                         neil2_point3,
-                                                         neil2_point4])
+neil2_polygon, zone = convert_from_latlon_to_utm([neil2_point1,
+                                                  neil2_point2,
+                                                  neil2_point3,
+                                                  neil2_point4])
 assert zone == refzone
 
@@ -190,6 +209,6 @@
                 degminsec2decimal_degrees(116,46,17)]
 
-wb_polygon, zone = convert_points_from_latlon_to_utm([wb_point1, wb_point2,
-                                                      wb_point3, wb_point4])
+wb_polygon, zone = convert_from_latlon_to_utm([wb_point1, wb_point2,
+                                               wb_point3, wb_point4])
 assert zone == refzone
 
@@ -208,6 +227,6 @@
                 degminsec2decimal_degrees(116,42,50)]
 
-lwb_polygon, zone = convert_points_from_latlon_to_utm([lwb_point1, lwb_point2,
-                                                       lwb_point3, lwb_point4])
+lwb_polygon, zone = convert_from_latlon_to_utm([lwb_point1, lwb_point2,
+                                                lwb_point3, lwb_point4])
                                                       
 assert zone == refzone
Index: /anuga_work/production/karratha_2006/run_karratha.py
===================================================================
--- /anuga_work/production/karratha_2006/run_karratha.py	(revision 3743)
+++ /anuga_work/production/karratha_2006/run_karratha.py	(revision 3744)
@@ -71,6 +71,8 @@
                     #[project.refinery_polygon, 2000],
                     #[project.point_polygon, 2000]]
-                    [project.neil1_polygon, 4000],
-                    [project.neil2_polygon, 64000]]
+                    #[project.cipma_polygon, 20000]]
+                    [project.cipma_polygon, 4000]]     # Caused memory error?    
+                    #[project.neil1_polygon, 4000],
+                    #[project.neil2_polygon, 64000]]
 
 
@@ -82,4 +84,5 @@
                                         'ocean': [1, 2, 3, 4, 5]},
                          maximum_triangle_area=200000,
+                         interior_regions=interior_regions,
                          filename=meshname,
                          use_cache=True,